## part 1: new lib

quit -sim

vlib work
vmap work work

## part 2: load design
vlog +define+SIM=1 "../../fpga_proj/src/top.v"
vlog +define+SIM=1 "../../fpga_proj/src/dpi_extractor.v"
vlog +define+SIM=1 "../../fpga_proj/src/byte_to_pixel/byte_to_pixel.vo"
vlog +define+SIM=1 "../../fpga_proj/src/dsi_rx/dsi_rx_top.vo"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_rpll_m14d3/gowin_rpll.v"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_rpll_m49d5/gowin_rpll.v"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_rpll_m4d3/gowin_rpll.v"
vlog +define+SIM=1 "../../fpga_proj/src/lvds_tx/ip_gddr71tx.v"
vlog +define+SIM=1 "../../fpga_proj/src/lvds_tx/lvds_7_to_1_tx.v"
vlog +define+SIM=1 "../../fpga_proj/src/mipi_rx_phy/mipi_rx_phy.vo"
#lib
vlog "../../tb/prim_sim.v"
#testbench
vlog +define+SIM=1 "../../tb/tb_dsi2lvds.v"

## part 3: sim design
vsim +nowarnTFMPC -L work -voptargs=+acc work.tb_dsi2lvds

## part 4: add signals
do ./wave.do

## part 5: show ui 
view wave

## part 6: run 
run 500us
