//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Wed Mar  6 18:43:45 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    Gowin_MIPI_DPHY_RX your_instance_name(
        .d0ln_hsrxd(d0ln_hsrxd_o), //output [15:0] d0ln_hsrxd
        .d1ln_hsrxd(d1ln_hsrxd_o), //output [15:0] d1ln_hsrxd
        .d2ln_hsrxd(d2ln_hsrxd_o), //output [15:0] d2ln_hsrxd
        .d3ln_hsrxd(d3ln_hsrxd_o), //output [15:0] d3ln_hsrxd
        .d0ln_hsrxd_vld(d0ln_hsrxd_vld_o), //output d0ln_hsrxd_vld
        .d1ln_hsrxd_vld(d1ln_hsrxd_vld_o), //output d1ln_hsrxd_vld
        .d2ln_hsrxd_vld(d2ln_hsrxd_vld_o), //output d2ln_hsrxd_vld
        .d3ln_hsrxd_vld(d3ln_hsrxd_vld_o), //output d3ln_hsrxd_vld
        .di_lprx0_n(di_lprx0_n_o), //output di_lprx0_n
        .di_lprx0_p(di_lprx0_p_o), //output di_lprx0_p
        .di_lprx1_n(di_lprx1_n_o), //output di_lprx1_n
        .di_lprx1_p(di_lprx1_p_o), //output di_lprx1_p
        .di_lprx2_n(di_lprx2_n_o), //output di_lprx2_n
        .di_lprx2_p(di_lprx2_p_o), //output di_lprx2_p
        .di_lprx3_n(di_lprx3_n_o), //output di_lprx3_n
        .di_lprx3_p(di_lprx3_p_o), //output di_lprx3_p
        .di_lprxck_n(di_lprxck_n_o), //output di_lprxck_n
        .di_lprxck_p(di_lprxck_p_o), //output di_lprxck_p
        .rx_clk_o(rx_clk_o_o), //output rx_clk_o
        .deskew_error(deskew_error_o), //output deskew_error
        .d0ln_deskew_done(d0ln_deskew_done_o), //output d0ln_deskew_done
        .d1ln_deskew_done(d1ln_deskew_done_o), //output d1ln_deskew_done
        .d2ln_deskew_done(d2ln_deskew_done_o), //output d2ln_deskew_done
        .d3ln_deskew_done(d3ln_deskew_done_o), //output d3ln_deskew_done
        .ck_n(ck_n_io), //inout ck_n
        .ck_p(ck_p_io), //inout ck_p
        .rx0_n(rx0_n_io), //inout rx0_n
        .rx0_p(rx0_p_io), //inout rx0_p
        .rx1_n(rx1_n_io), //inout rx1_n
        .rx1_p(rx1_p_io), //inout rx1_p
        .rx2_n(rx2_n_io), //inout rx2_n
        .rx2_p(rx2_p_io), //inout rx2_p
        .rx3_n(rx3_n_io), //inout rx3_n
        .rx3_p(rx3_p_io), //inout rx3_p
        .lprx_en_ck(lprx_en_ck_i), //input lprx_en_ck
        .lprx_en_d0(lprx_en_d0_i), //input lprx_en_d0
        .lprx_en_d1(lprx_en_d1_i), //input lprx_en_d1
        .lprx_en_d2(lprx_en_d2_i), //input lprx_en_d2
        .lprx_en_d3(lprx_en_d3_i), //input lprx_en_d3
        .hsrx_odten_ck(hsrx_odten_ck_i), //input hsrx_odten_ck
        .hsrx_odten_d0(hsrx_odten_d0_i), //input hsrx_odten_d0
        .hsrx_odten_d1(hsrx_odten_d1_i), //input hsrx_odten_d1
        .hsrx_odten_d2(hsrx_odten_d2_i), //input hsrx_odten_d2
        .hsrx_odten_d3(hsrx_odten_d3_i), //input hsrx_odten_d3
        .d0ln_hsrx_dren(d0ln_hsrx_dren_i), //input d0ln_hsrx_dren
        .d1ln_hsrx_dren(d1ln_hsrx_dren_i), //input d1ln_hsrx_dren
        .d2ln_hsrx_dren(d2ln_hsrx_dren_i), //input d2ln_hsrx_dren
        .d3ln_hsrx_dren(d3ln_hsrx_dren_i), //input d3ln_hsrx_dren
        .hsrx_en_ck(hsrx_en_ck_i), //input hsrx_en_ck
        .hs_8bit_mode(hs_8bit_mode_i), //input hs_8bit_mode
        .rx_clk_1x(rx_clk_1x_i), //input rx_clk_1x
        .rx_invert(rx_invert_i), //input rx_invert
        .lalign_en(lalign_en_i), //input lalign_en
        .walign_by(walign_by_i), //input walign_by
        .do_lptx0_n(do_lptx0_n_i), //input do_lptx0_n
        .do_lptx0_p(do_lptx0_p_i), //input do_lptx0_p
        .do_lptx1_n(do_lptx1_n_i), //input do_lptx1_n
        .do_lptx1_p(do_lptx1_p_i), //input do_lptx1_p
        .do_lptx2_n(do_lptx2_n_i), //input do_lptx2_n
        .do_lptx2_p(do_lptx2_p_i), //input do_lptx2_p
        .do_lptx3_n(do_lptx3_n_i), //input do_lptx3_n
        .do_lptx3_p(do_lptx3_p_i), //input do_lptx3_p
        .do_lptxck_n(do_lptxck_n_i), //input do_lptxck_n
        .do_lptxck_p(do_lptxck_p_i), //input do_lptxck_p
        .lptx_en_ck(lptx_en_ck_i), //input lptx_en_ck
        .lptx_en_d0(lptx_en_d0_i), //input lptx_en_d0
        .lptx_en_d1(lptx_en_d1_i), //input lptx_en_d1
        .lptx_en_d2(lptx_en_d2_i), //input lptx_en_d2
        .lptx_en_d3(lptx_en_d3_i), //input lptx_en_d3
        .byte_lendian(byte_lendian_i), //input byte_lendian
        .hsrx_stop(hsrx_stop_i), //input hsrx_stop
        .pwron(pwron_i), //input pwron
        .reset(reset_i), //input reset
        .deskew_lnsel(deskew_lnsel_i), //input [2:0] deskew_lnsel
        .deskew_mth(deskew_mth_i), //input [12:0] deskew_mth
        .deskew_owval(deskew_owval_i), //input [6:0] deskew_owval
        .deskew_req(deskew_req_i), //input deskew_req
        .drst_n(drst_n_i), //input drst_n
        .one_byte0_match(one_byte0_match_i), //input one_byte0_match
        .word_lendian(word_lendian_i), //input word_lendian
        .fifo_rd_std(fifo_rd_std_i), //input [2:0] fifo_rd_std
        .deskew_by(deskew_by_i), //input deskew_by
        .deskew_en_oedge(deskew_en_oedge_i), //input deskew_en_oedge
        .deskew_half_opening(deskew_half_opening_i), //input [5:0] deskew_half_opening
        .deskew_lsb_mode(deskew_lsb_mode_i), //input [1:0] deskew_lsb_mode
        .deskew_m(deskew_m_i), //input [2:0] deskew_m
        .deskew_mset(deskew_mset_i), //input [6:0] deskew_mset
        .deskew_oclkedg_en(deskew_oclkedg_en_i), //input deskew_oclkedg_en
        .eqcs_lane0(eqcs_lane0_i), //input [2:0] eqcs_lane0
        .eqcs_lane1(eqcs_lane1_i), //input [2:0] eqcs_lane1
        .eqcs_lane2(eqcs_lane2_i), //input [2:0] eqcs_lane2
        .eqcs_lane3(eqcs_lane3_i), //input [2:0] eqcs_lane3
        .eqcs_ck(eqcs_ck_i), //input [2:0] eqcs_ck
        .eqrs_lane0(eqrs_lane0_i), //input [2:0] eqrs_lane0
        .eqrs_lane1(eqrs_lane1_i), //input [2:0] eqrs_lane1
        .eqrs_lane2(eqrs_lane2_i), //input [2:0] eqrs_lane2
        .eqrs_lane3(eqrs_lane3_i), //input [2:0] eqrs_lane3
        .eqrs_ck(eqrs_ck_i), //input [2:0] eqrs_ck
        .hsrx_dlydir_lane0(hsrx_dlydir_lane0_i), //input hsrx_dlydir_lane0
        .hsrx_dlydir_lane1(hsrx_dlydir_lane1_i), //input hsrx_dlydir_lane1
        .hsrx_dlydir_lane2(hsrx_dlydir_lane2_i), //input hsrx_dlydir_lane2
        .hsrx_dlydir_lane3(hsrx_dlydir_lane3_i), //input hsrx_dlydir_lane3
        .hsrx_dlydir_ck(hsrx_dlydir_ck_i), //input hsrx_dlydir_ck
        .hsrx_dlyldn_lane0(hsrx_dlyldn_lane0_i), //input hsrx_dlyldn_lane0
        .hsrx_dlyldn_lane1(hsrx_dlyldn_lane1_i), //input hsrx_dlyldn_lane1
        .hsrx_dlyldn_lane2(hsrx_dlyldn_lane2_i), //input hsrx_dlyldn_lane2
        .hsrx_dlyldn_lane3(hsrx_dlyldn_lane3_i), //input hsrx_dlyldn_lane3
        .hsrx_dlyldn_ck(hsrx_dlyldn_ck_i), //input hsrx_dlyldn_ck
        .hsrx_dlymv_lane0(hsrx_dlymv_lane0_i), //input hsrx_dlymv_lane0
        .hsrx_dlymv_lane1(hsrx_dlymv_lane1_i), //input hsrx_dlymv_lane1
        .hsrx_dlymv_lane2(hsrx_dlymv_lane2_i), //input hsrx_dlymv_lane2
        .hsrx_dlymv_lane3(hsrx_dlymv_lane3_i), //input hsrx_dlymv_lane3
        .hsrx_dlymv_ck(hsrx_dlymv_ck_i), //input hsrx_dlymv_ck
        .walign_dvld(walign_dvld_i) //input walign_dvld
    );

//--------Copy end-------------------
