//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5A-LV25MG121NC1/I0
//Device: GW5A-25
//Device Version: A
//Created Time: Wed Mar  6 17:07:50 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    Gowin_MIPI_DPHY_RX_Top your_instance_name(
        .rx_clk_o(rx_clk_o_o), //output rx_clk_o
        .d0ln_hsrxd(d0ln_hsrxd_o), //output [7:0] d0ln_hsrxd
        .d1ln_hsrxd(d1ln_hsrxd_o), //output [7:0] d1ln_hsrxd
        .d2ln_hsrxd(d2ln_hsrxd_o), //output [7:0] d2ln_hsrxd
        .d3ln_hsrxd(d3ln_hsrxd_o), //output [7:0] d3ln_hsrxd
        .d0ln_hsrxd_vld(d0ln_hsrxd_vld_o), //output d0ln_hsrxd_vld
        .d1ln_hsrxd_vld(d1ln_hsrxd_vld_o), //output d1ln_hsrxd_vld
        .d2ln_hsrxd_vld(d2ln_hsrxd_vld_o), //output d2ln_hsrxd_vld
        .d3ln_hsrxd_vld(d3ln_hsrxd_vld_o), //output d3ln_hsrxd_vld
        .di_lprx0_n(di_lprx0_n_o), //output di_lprx0_n
        .di_lprx0_p(di_lprx0_p_o), //output di_lprx0_p
        .di_lprx1_n(di_lprx1_n_o), //output di_lprx1_n
        .di_lprx1_p(di_lprx1_p_o), //output di_lprx1_p
        .di_lprx2_n(di_lprx2_n_o), //output di_lprx2_n
        .di_lprx2_p(di_lprx2_p_o), //output di_lprx2_p
        .di_lprx3_n(di_lprx3_n_o), //output di_lprx3_n
        .di_lprx3_p(di_lprx3_p_o), //output di_lprx3_p
        .di_lprxck_n(di_lprxck_n_o), //output di_lprxck_n
        .di_lprxck_p(di_lprxck_p_o), //output di_lprxck_p
        .ck_n(ck_n_io), //inout ck_n
        .ck_p(ck_p_io), //inout ck_p
        .d0_n(d0_n_io), //inout d0_n
        .d0_p(d0_p_io), //inout d0_p
        .d1_n(d1_n_io), //inout d1_n
        .d1_p(d1_p_io), //inout d1_p
        .d2_n(d2_n_io), //inout d2_n
        .d2_p(d2_p_io), //inout d2_p
        .d3_n(d3_n_io), //inout d3_n
        .d3_p(d3_p_io), //inout d3_p
        .lptxen_ln0(lptxen_ln0_i), //input lptxen_ln0
        .lptxen_ln1(lptxen_ln1_i), //input lptxen_ln1
        .lptxen_ln2(lptxen_ln2_i), //input lptxen_ln2
        .lptxen_ln3(lptxen_ln3_i), //input lptxen_ln3
        .lptxen_lnck(lptxen_lnck_i), //input lptxen_lnck
        .do_lptx0_n(do_lptx0_n_i), //input do_lptx0_n
        .do_lptx1_n(do_lptx1_n_i), //input do_lptx1_n
        .do_lptx2_n(do_lptx2_n_i), //input do_lptx2_n
        .do_lptx3_n(do_lptx3_n_i), //input do_lptx3_n
        .do_lptxck_n(do_lptxck_n_i), //input do_lptxck_n
        .do_lptx0_p(do_lptx0_p_i), //input do_lptx0_p
        .do_lptx1_p(do_lptx1_p_i), //input do_lptx1_p
        .do_lptx2_p(do_lptx2_p_i), //input do_lptx2_p
        .do_lptx3_p(do_lptx3_p_i), //input do_lptx3_p
        .do_lptxck_p(do_lptxck_p_i), //input do_lptxck_p
        .hsrx_en_ck(hsrx_en_ck_i), //input hsrx_en_ck
        .hsrx_en_d0(hsrx_en_d0_i), //input hsrx_en_d0
        .hsrx_en_d1(hsrx_en_d1_i), //input hsrx_en_d1
        .hsrx_en_d2(hsrx_en_d2_i), //input hsrx_en_d2
        .hsrx_en_d3(hsrx_en_d3_i), //input hsrx_en_d3
        .hsrx_odten_ck(hsrx_odten_ck_i), //input hsrx_odten_ck
        .hsrx_odten_d0(hsrx_odten_d0_i), //input hsrx_odten_d0
        .hsrx_odten_d1(hsrx_odten_d1_i), //input hsrx_odten_d1
        .hsrx_odten_d2(hsrx_odten_d2_i), //input hsrx_odten_d2
        .hsrx_odten_d3(hsrx_odten_d3_i), //input hsrx_odten_d3
        .lprx_en_ck(lprx_en_ck_i), //input lprx_en_ck
        .lprx_en_d0(lprx_en_d0_i), //input lprx_en_d0
        .lprx_en_d1(lprx_en_d1_i), //input lprx_en_d1
        .lprx_en_d2(lprx_en_d2_i), //input lprx_en_d2
        .lprx_en_d3(lprx_en_d3_i), //input lprx_en_d3
        .rx_drst_n(rx_drst_n_i) //input rx_drst_n
    );

//--------Copy end-------------------
