## part 1: new lib

quit -sim

vlib work
vmap work work

## part 2: load design
vlog +define+SIM=1 "../../fpga_proj/src/byte_to_pixel/byte_to_pixel.vo"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_mipi_dphy_rx/gowin_mipi_dphy_rx.v"
vlog +define+SIM=1 "../../fpga_proj/src/gowin_pll/gowin_pll.v"
vlog +define+SIM=1 "../../fpga_proj/src/mipi_csi2_rx/csi2_rx.vo"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/bayer_to_rgb/bayer_rgb.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/bayer_to_rgb/ram_line.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/bayer_to_rgb/shift_line.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/bayer_to_rgb/video_format_detect.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/ov5647_init/I2C_interface.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/ov5647_init/OV5647_Controller.v"
vlog +define+SIM=1 "../../fpga_proj/src/ov5647/ov5647_init/OV5647_Registers.v"
vlog +define+SIM=1 "../../fpga_proj/src/top.v"
# vlog +define+SIM=1 "../../fpga_proj/src/lvds_tx/ip_gddr71tx.v"
# vlog +define+SIM=1 "../../fpga_proj/src/lvds_tx/lvds_7_to_1_tx.v"
#lib
vlog "../../tb/prim_sim.v"
vlog "../../tb/dphy_rx_5at.vp"
vlog "../../tb/dphy_rx_5at_top.v"
#testbench
vlog +define+SIM=1 "../../tb/tb_csi_demo.v"

## part 3: sim design
vsim +nowarnTFMPC -L work -voptargs=+acc work.tb_csi_demo

## part 4: add signals
do ./wave.do

## part 5: show ui 
view wave

## part 6: run 
# run -all
run 500us
