
create_clock -name clk_50 -period 20 -waveform {0 10} [get_ports {OSC_50M}]
create_clock -name byte_clk -period 15 -waveform {0 7.5} [get_nets {byte_clk}]
create_generated_clock -name pixel_clk -source [get_nets {byte_clk}] -master_clock byte_clk -divide_by 1 -multiply_by 2 [get_nets {lvds_pclk}]

set_clock_groups -exclusive -group [get_clocks {pixel_clk}] -group [get_clocks {byte_clk}]
set_clock_groups -exclusive -group [get_clocks {pixel_clk}] -group [get_clocks {clk_50}]
set_clock_groups -exclusive -group [get_clocks {clk_50}] -group [get_clocks {byte_clk}]

report_timing -setup -from_clock [get_clocks {pixel_clk}] -max_paths 20 -max_common_paths 1
report_timing -setup -from_clock [get_clocks {byte_clk}] -max_paths 20 -max_common_paths 1
report_timing -hold  -from_clock [get_clocks {pixel_clk}] -max_paths 20 -max_common_paths 1
report_timing -hold  -from_clock [get_clocks {byte_clk}] -max_paths 20 -max_common_paths 1