//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-4
//Part Number: GW2A-LV18QN88A6
//Device: GW2A-18
//Device Version: C
//Created Time: Tue Sep 26 17:17:29 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MIPI_RX_PHY your_instance_name(
		.reset_n(reset_n_i), //input reset_n
		.HS_CLK_P(HS_CLK_P_io), //inout HS_CLK_P
		.HS_CLK_N(HS_CLK_N_io), //inout HS_CLK_N
		.clk_byte_out(clk_byte_out_o), //output clk_byte_out
		.HS_DATA3_P(HS_DATA3_P_io), //inout HS_DATA3_P
		.HS_DATA3_N(HS_DATA3_N_io), //inout HS_DATA3_N
		.data_out3(data_out3_o), //output [7:0] data_out3
		.data_bf_lane3(data_bf_lane3_o), //output [7:0] data_bf_lane3
		.HS_DATA2_P(HS_DATA2_P_io), //inout HS_DATA2_P
		.HS_DATA2_N(HS_DATA2_N_io), //inout HS_DATA2_N
		.data_out2(data_out2_o), //output [7:0] data_out2
		.data_bf_lane2(data_bf_lane2_o), //output [7:0] data_bf_lane2
		.HS_DATA1_P(HS_DATA1_P_io), //inout HS_DATA1_P
		.HS_DATA1_N(HS_DATA1_N_io), //inout HS_DATA1_N
		.data_out1(data_out1_o), //output [7:0] data_out1
		.data_bf_lane1(data_bf_lane1_o), //output [7:0] data_bf_lane1
		.HS_DATA0_P(HS_DATA0_P_io), //inout HS_DATA0_P
		.HS_DATA0_N(HS_DATA0_N_io), //inout HS_DATA0_N
		.data_out0(data_out0_o), //output [7:0] data_out0
		.data_bf_lane0(data_bf_lane0_o), //output [7:0] data_bf_lane0
		.hs_en(hs_en_i), //input hs_en
		.clk_term_en(clk_term_en_i), //input clk_term_en
		.data_term_en(data_term_en_i), //input data_term_en
		.ready(ready_o) //output ready
	);

//--------Copy end-------------------
