
create_clock -name clk_50 -period 20 -waveform {0 10} [get_ports {OSC_50M}]
create_clock -name byte_clk -period 9.524 -waveform {0 4.762} [get_nets {byte_clk}]
create_generated_clock -name pixel_clk -source [get_nets {byte_clk}] -master_clock byte_clk -divide_by 3 -multiply_by 4 [get_nets {pixel_clk}]
create_generated_clock -name lvds_pclk -source [get_ports {OSC_50M}] -master_clock clk_50 -divide_by 7 -multiply_by 19 [get_nets {lvds_pclk}]
set_clock_groups -exclusive -group [get_clocks {pixel_clk}] -group [get_clocks {byte_clk}]
set_clock_groups -exclusive -group [get_clocks {pixel_clk}] -group [get_clocks {lvds_pclk}]
set_clock_groups -exclusive -group [get_clocks {byte_clk}] -group [get_clocks {lvds_pclk}]
